List Wallets
get
/walletservice/v1/wallets
Lists canonical UWaaS wallet records. The returned item format is also used by the wallet-by-address endpoint.
Request
Query Parameters
-
instanceId: string
-
nextPageToken: string
-
orgId: integer(int64)
-
pageSize: integer
Minimum Value:
1Maximum Value:100Default Value:50 -
search: string
-
status: string
-
type: string
-
userId: string
-
walletServiceId: string
There's no request body for this operation.
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Wallets retrieved successfully.
Root Schema : ListWalletsResponse
Type:
Show Source
object-
items(required): array
items
-
nextPageToken: string
Opaque cursor for the next page.
Nested Schema : items
Type:
Show Source
array-
Array of:
object ListedWallet
A canonical UWaaS wallet record, returned by wallet list and wallet-by-address lookups.
Nested Schema : ListedWallet
Type:
objectA canonical UWaaS wallet record, returned by wallet list and wallet-by-address lookups.
Show Source
-
address(required): string
Example:
0x599f59e794c88a108e0cc2072b7a52fa3576cea4 -
blockchainType: string
Example:
BESU -
createdBy: string
-
createdDate: string
(date-time)
-
instanceId: string
-
label: string
-
orgId: string
-
orgNetworkId: integer
(int64)
-
ownershipType(required): string
Allowed Values:
[ "USER", "SERVICE" ] -
status: string
Example:
ACTIVE -
type: string
-
typeLabel: string
-
updatedBy: string
-
updatedDate: string
(date-time)
-
userId: string
-
walletId(required): string
(uuid)
UWaaS wallet identifier.Example:
f3f0716b-2bb3-4be8-ad14-f5d3a7f472aa -
walletTags: array
walletTags
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
401 Response
Unauthorized.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.